vulkan_android.h File Reference

Go to the source code of this file.

## Data Structures

struct | VkAndroidSurfaceCreateInfoKHR
struct | VkAndroidHardwareBufferUsageANDROID
struct | VkAndroidHardwareBufferPropertiesANDROID
struct | VkAndroidHardwareBufferFormatPropertiesANDROID
struct | VkImportAndroidHardwareBufferInfoANDROID
struct | VkMemoryGetAndroidHardwareBufferInfoANDROID
struct | VkExternalFormatANDROID

## Macros

#define | VK_KHR_android_surface 1
#define | VK_KHR_ANDROID_SURFACE_SPEC_VERSION 6
#define | VK_KHR_ANDROID_SURFACE_EXTENSION_NAME "VK_KHR_android_surface"
#define | VK_ANDROID_external_memory_android_hardware_buffer 1
#define | VK_ANDROID_EXTERNAL_MEMORY_ANDROID_HARDWARE_BUFFER_SPEC_VERSION 3
#define | VK_ANDROID_EXTERNAL_MEMORY_ANDROID_HARDWARE_BUFFER_EXTENSION_NAME "VK_ANDROID_external_memory_android_hardware_buffer"

## Typedefs

typedef VkFlags | VkAndroidSurfaceCreateFlagsKHR
typedef VkResult(VKAPI_PTR * | PFN_vkCreateAndroidSurfaceKHR) (VkInstance instance, const VkAndroidSurfaceCreateInfoKHR *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkSurfaceKHR *pSurface)
typedef VkResult(VKAPI_PTR * | PFN_vkGetAndroidHardwareBufferPropertiesANDROID) (VkDevice device, const struct AHardwareBuffer *buffer, VkAndroidHardwareBufferPropertiesANDROID *pProperties)
typedef VkResult(VKAPI_PTR * | PFN_vkGetMemoryAndroidHardwareBufferANDROID) (VkDevice device, const VkMemoryGetAndroidHardwareBufferInfoANDROID *pInfo, struct AHardwareBuffer **pBuffer)

## Functions

VKAPI_ATTR VkResult VKAPI_CALL | vkCreateAndroidSurfaceKHR (VkInstance instance, const VkAndroidSurfaceCreateInfoKHR *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkSurfaceKHR *pSurface)
VKAPI_ATTR VkResult VKAPI_CALL | vkGetAndroidHardwareBufferPropertiesANDROID (VkDevice device, const struct AHardwareBuffer *buffer, VkAndroidHardwareBufferPropertiesANDROID *pProperties)
VKAPI_ATTR VkResult VKAPI_CALL | vkGetMemoryAndroidHardwareBufferANDROID (VkDevice device, const VkMemoryGetAndroidHardwareBufferInfoANDROID *pInfo, struct AHardwareBuffer **pBuffer)

## Macro Definition Documentation

## VK_ANDROID_external_memory_android_hardware_buffer

#define VK_ANDROID_external_memory_android_hardware_buffer 1

Definition at line 56 of file vulkan_android.h.

## VK_ANDROID_EXTERNAL_MEMORY_ANDROID_HARDWARE_BUFFER_EXTENSION_NAME

#define VK_ANDROID_EXTERNAL_MEMORY_ANDROID_HARDWARE_BUFFER_EXTENSION_NAME "VK_ANDROID_external_memory_android_hardware_buffer"

Definition at line 60 of file vulkan_android.h.

## VK_ANDROID_EXTERNAL_MEMORY_ANDROID_HARDWARE_BUFFER_SPEC_VERSION

#define VK_ANDROID_EXTERNAL_MEMORY_ANDROID_HARDWARE_BUFFER_SPEC_VERSION 3

Definition at line 59 of file vulkan_android.h.

## VK_KHR_android_surface

#define VK_KHR_android_surface 1

Definition at line 30 of file vulkan_android.h.

## VK_KHR_ANDROID_SURFACE_EXTENSION_NAME

#define VK_KHR_ANDROID_SURFACE_EXTENSION_NAME "VK_KHR_android_surface"

Definition at line 34 of file vulkan_android.h.

## VK_KHR_ANDROID_SURFACE_SPEC_VERSION

#define VK_KHR_ANDROID_SURFACE_SPEC_VERSION 6

Definition at line 33 of file vulkan_android.h.

## Typedef Documentation

## PFN_vkCreateAndroidSurfaceKHR

typedef VkResult(VKAPI_PTR * PFN_vkCreateAndroidSurfaceKHR) (VkInstance instance, const VkAndroidSurfaceCreateInfoKHR *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkSurfaceKHR *pSurface)

Definition at line 46 of file vulkan_android.h.

## PFN_vkGetAndroidHardwareBufferPropertiesANDROID

typedef VkResult(VKAPI_PTR * PFN_vkGetAndroidHardwareBufferPropertiesANDROID) (VkDevice device, const struct AHardwareBuffer *buffer, VkAndroidHardwareBufferPropertiesANDROID *pProperties)

Definition at line 107 of file vulkan_android.h.

## PFN_vkGetMemoryAndroidHardwareBufferANDROID

typedef VkResult(VKAPI_PTR * PFN_vkGetMemoryAndroidHardwareBufferANDROID) (VkDevice device, const VkMemoryGetAndroidHardwareBufferInfoANDROID *pInfo, struct AHardwareBuffer **pBuffer)

Definition at line 108 of file vulkan_android.h.

## VkAndroidSurfaceCreateFlagsKHR

typedef VkFlags VkAndroidSurfaceCreateFlagsKHR

Definition at line 36 of file vulkan_android.h.

## Function Documentation

## vkCreateAndroidSurfaceKHR()

VKAPI_ATTR VkResult VKAPI_CALL vkCreateAndroidSurfaceKHR | ( | VkInstance | instance,
|  | const VkAndroidSurfaceCreateInfoKHR * | pCreateInfo,
|  | const VkAllocationCallbacks * | pAllocator,
|  | VkSurfaceKHR * | pSurface
| ) |  |

Referenced by VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::init().

## vkGetAndroidHardwareBufferPropertiesANDROID()

VKAPI_ATTR VkResult VKAPI_CALL vkGetAndroidHardwareBufferPropertiesANDROID | ( | VkDevice | device,
|  | const struct AHardwareBuffer * | buffer,
|  | VkAndroidHardwareBufferPropertiesANDROID * | pProperties
| ) |  |

Referenced by VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::init().

## vkGetMemoryAndroidHardwareBufferANDROID()

VKAPI_ATTR VkResult VKAPI_CALL vkGetMemoryAndroidHardwareBufferANDROID | ( | VkDevice | device,
|  | const VkMemoryGetAndroidHardwareBufferInfoANDROID * | pInfo,
|  | struct AHardwareBuffer ** | pBuffer
| ) |  |

Referenced by VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::init().